9 Replies Latest reply: Feb 26, 2010 8:08 AM by Volker Runkel
I'mAPC Level 1 Level 1 (0 points)
What is the Highest Level of MAC OS X level for iMAC G4?
Right now, I'm running MAC OS X version 10.3.9.

Can I run Aperture iMAC G4?

iMAC G4, Mac OS X (10.3.x)